//  This program tests whether iostream exceptions are supported by the compiler

# include <stdio.h>

# include <exception>
# include <fstream.h>



char   szReadBuff [2048] ;


int main ()
{
  try
  {

    fstream fstrm ;

    fstrm.exceptions ( ios :: badbit | ios :: failbit | ios :: eofbit ) ;

    cerr << "about to open file\n" ;

    // Test the opening of a non existent file
    //fstrm.open ( "/os2e/fexcptstt.cpp" , ios :: out  ) ;

    fstrm.open ( "fexcptst.cpp" , ios :: in  ) ;
  
    //  Test reading past end of file
    fstrm.read ( szReadBuff , 2047 ) ;

  } /* endtry */
  catch ( ios :: failure & iosf )
  {
    cerr << "Caught an ios :: failure!\n" ;

    perror ( "Last Error Message " ) ;

  } /* endcatch */
  catch ( exception & rexcp )
  {
    cerr << "Caught an ISO exception!\n" ;

  } /* endcatch */

  return  0 ;

} /* int main () */
